
function settypeid(tt)
{
	if(tt==0)
	{
		$("#mobile1").hide();	
		$("#mobile2").hide();	
		$("#mobile3").show();	
		$("#mobile4").show();	
		$("#mobile5").show();	
		$("#mobile6").hide();
		$("#emailcode").attr("src",'/VerifyCode/VerifyCode.aspx?key=1&tt='+Math.random());
	}
	else if(tt==1)
	{
		$("#mobile1").show();	
		$("#mobile2").show();	
		$("#mobile3").hide();	
		$("#mobile4").hide();	
		$("#mobile5").hide();
		$("#mobile6").hide();
	}
	else if(tt==2)
	{
		$("#mobile1").show();
		$("#mobile2").hide();	
		$("#mobile3").hide();	
		$("#mobile4").hide();	
		$("#mobile5").hide();
		$("#mobile6").show();
		$("#mobilecode").attr("src",'/VerifyCode/VerifyCode.aspx?key=1&tt='+Math.random());	
	}
}
var i = 120;
function flushtime(){
 i--;
 if(i==-1)
 {
    $("#getmobile").attr("disabled",false);
    $("#getmobile").html( "获取验证码") ;
	return null;
 }
  $("#getmobile").html(i + "秒后重发") ;
  $("#getmobile").attr("disabled",true);
  setTimeout("flushtime();",1000);
}
var flag=true;
var total=0;
var reg = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/; //验证邮箱的正则表达式
$.checkMobilePhone = function(value){
	return /^(13\d{9}|17\d{9}|18\d{9}|14\d{9}|15\d{9}|659\d{7}|658\d{7})$/i.test($.trim(value));
}
function getImg()
{
	document.getElementById('image').src = '../VerifyCode/VerifyCode.aspx?key=2&tt=' + Math.random(); return false;
}

function checkpassword()
{
	var str = $.trim($("#AntRegUserPwd").val());
	if(str.length<5 || str.length>32)
	{
		$(".none").html("密码长度5~32位,请确认").show();
		flag=false;
	}
	else
	{
		$(".none").html("").hide();
		flag=true;
		total++;
	}	
	return flag;
}
function checkpassword_()
{
	var str1 = $.trim($("#AntRegUserPwd").val());
	var str = $.trim($("#AntRegUserPwd_").val());
	if(str.length<5 || str.length>32)
	{
		$(".none").html("确认密码长度5~32位,请确认").show();
		flag=false;
	}
	else if(str1!=str)
	{
		$(".none").html("您两次输入的密码不一致,请确认").show();
		flag=false;
	}
	else
	{
		$(".none").html("").hide();
		flag=true;
		total++;
	}	
	return flag;
}
function checkcode(tt)
{
	var str = $.trim($("#checkcode"+tt).val());
	if(str.length<1)
	{
		$(".none").html("请正确验证码!").show();
		flag=false;
	}
	else
	{
		$.ajax({
		  url: "/public/ajax.aspx?action=checkname&clientid=checkcode&checkcode="+escape(str),
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			 if(data=="1"){
				$(".none").html("验证码不正确").show();
				flag=false;
			 }
			 else{
				$(".none").html("").hide();
				flag=true;
				total++;
			 }
		  }
	  });	
	}
   return flag;
}
function checkq()
{
	var str = $.trim($("#AntRegQuestion").val());
	if(str.length<1)
	{
		$(".none").html("请输入安全验证答案").show();
		flag=false;
	}
	else
	{
		$.ajax({
		  url: "/public/ajax.aspx?action=checkname&clientid=AntRegQuestion&AntRegQuestion="+escape(str),
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			 if(data=="1"){
				$(".none").html("安全验证答案不正确").show();
				flag=false;
			 }
			 else{
				$(".none").html("").hide();
				flag =true;
				total++;
			 }
		  }
	  });	
	}
  return flag;
}
function checkemail()
{
	var str = $.trim($("#AntRegUserEmail").val());
	if(str.length<5 || str.length > 30 ) 
	{
		$(".none").html("请输入您的邮箱").show();
		flag=false;
	}
	else if(!reg.test(str))
	{
		$(".none").html("邮箱格式不正确").show();
		flag=false;
	}
	else
	{
		$.ajax({
		  url: "/public/ajax.aspx?action=checkname&clientid=AntRegUserEmail&AntRegUserEmail="+escape(str),
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			 if(data=="1"){
				$(".none").html("此邮箱已被注册").show();
				flag=false;
			 }
			 else{
				$(".none").html("").hide();
				flag=true;
				total++;
			 }
		  }
	  });	
	}
  return flag;
}
function checkmobile()
{
	var str = $.trim($("#AntRegUserMobile").val());
	if(str.length!=11 && str.length!=10 ) 
	{
		$(".none").html("请输入您的手机号码").show();
		flag=false;
	}
	else
	{
		$.ajax({
		  url: "/public/ajax.aspx?action=checkname&clientid=AntRegUserMobile&AntRegUserMobile="+escape(str),
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			 if(data=="1"){
				$(".none").html("此手机号码已被注册").show();
				flag=false;
			 }
			 else if(data=="2")
			 {
				$(".none").html("手机格式不正确").show();
				flag=false;
			 }
			 else{
				$(".none").html("").hide();
				flag=true;
				total++;
			 }
		  }
	  });	
	}
  return flag;
}
function checkname()
{
	var str = $.trim($("#usertel").val());
	if(str.length<3 || str.length>15)
	{
		$(".none").html("请输入您的用户名，用户名手机号码。").show();
		flag=false;
	}
	else
	{
		$.ajax({
		  url: "/public/ajax.aspx?action=checkname&clientid=usertel&usertel="+escape(str),
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			 if(data=="1"){
				$(".none").html("此账户已注册").show();
				flag=false;
			 }
			 else{
				$(".none").html("").hide();
				flag=true;
				total++;
			 }
		  }
	  });	
	}
  return flag;
}
function checkmobilecode()
{
	var str = $.trim($("#AntRegUserMobilecode").val());
	if(str.length!=5 ) 
	{
		$(".none").html("请输入手机获取的短信激活码").show();
		flag=false;
	}
	else
	{
		$.ajax({
		  url: "/public/ajax.aspx?action=checkname&clientid=AntRegUserMobilecode&chrtel="+$("#AntRegUserMobile").val()+"&AntRegUserMobilecode="+escape(str),
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			 if(data=="1"){
				$(".none").html("短信激活码不正确").show();
				flag=false;
			 }
			 else{
				$(".none").html("").hide();
				flag=true;
				total++;
			 }
		  }
	  });	
	}
  return flag;
}
function WebLoginCheck(username,userpwd,usercode,remeber)
{
	var gourl="http://26.ca/public/ajax.aspx?action=login&script=1";
	gourl +="&chrname="+escape(username);
	gourl +="&chrpwd="+escape(userpwd);
	gourl +="&chrcode="+escape(usercode);
	gourl +="&flag="+escape(remeber);
	gourl +="&time="+new Date();
	var   fr=document.createElement("IFRAME")   
	fr.height=0;   
	fr.width=0   
	fr.src=gourl;  
	document.body.appendChild(fr) ;
}
function checkVerifyCode(){
	sms();
}
function sms()
{
	var str = $.trim($("#AntRegUserMobile").val());
	if(str.length!=11 && str.length!=10 ) 
	{
		$(".none").html("请输入您的手机号码").show();
		$("#AntRegUserMobile").focus()
		return false;
	}
	var vcode = $.trim($("#vcode").val());
	if(vcode.length<1)
	{
		alert("请输入验证码");
		$("#vcode").focus();
		getImg();
		return false;
	}
	$("#getmobile").attr("disabled",true);
	$.ajax({
		  url: "/public/ajax.aspx?action=checkname&clientid=AntRegUserMobile1&AntRegUserMobile="+escape(str)+"&checkcode="+escape(vcode),
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			  if(data!="-99")
			  {
				 $(".tg").hide();
         		 $(".mask").hide();
				 if(data=="1"){
					$(".none").html("此手机号码已被注册").show();
					$("#getmobile").attr("disabled",false);
					return false;
				 }
				 else if(data=="2")
				 {
					$(".none").html("手机号码格式不正确").show();
					$("#getmobile").attr("disabled",false);
					return false;
				 }
				 else{
					$(".none").html("").hide();
					i=120;
					flushtime();
					return false;
				 }
			  }
			  else
			  {
				alert("验证码错误！");
				getImg();
				$("#vcode").val("");
				$("#vcode").focus();
			  }
		  }
	  });	
}
function login()
{
	var tt = "-1";
	var cc=$("input[name='typeid']:checked").val();
	if($("#SiteIsRegisterType").val().indexOf("0") != -1  && $("#SiteIsRegister").val()=="1")
	{
		tt="0";
	}
	else if($("#SiteIsRegisterType").val().indexOf("1") != -1  && $("#SiteIsRegister").val()=="1")
	{
		tt="1";
	}
	else if($("#SiteIsRegisterType").val().indexOf("2") != -1  && $("#SiteIsRegister").val()=="1")
	{
		tt="2";
	}
	if(cc=="0")
	{
		tt="0";	
	}
	else if(cc=="1")
	{
		tt="1";	
	}
	else if(cc=="2")
	{
		tt="2";	
	}
	$("#AntRegSubmit").attr("disabled",true);
	var curl="/public/ajax.aspx?action=register";
	curl +="&chrname="+escape($("#usertel").val());
	curl +="&chrpwd="+escape($("#AntRegUserPwd").val());
	if($("#AntRegUserEmail").length>0)
		curl +="&chremail="+escape($("#AntRegUserEmail").val());
	else
		curl +="&chremail=";
	if($("#AntRegUserMobile").length>0)
		curl +="&chrtel="+escape($("#AntRegUserMobile").val());
	else
		curl +="&chrtel=";
	if($("#AntRegUserMobilecode").length>0)
		curl +="&chrqq="+escape($("#AntRegUserMobilecode").val());
	else 
		curl +="&chrqq=";
	if($("#checkcode").length>0)
		curl +="&chrcode="+escape($("#checkcode").val());
	else 
		curl +="&chrcode=";
	if($("#checkcode2").length>0)
		curl +="&chrcode2="+escape($("#checkcode2").val());
	else 
		curl +="&chrcode2=";
	if($("#AntRegQuestion").length>0)
		curl +="&chrquestion="+escape($("#AntRegQuestion").val());
	else 
		curl +="&chrquestion=";
	curl +="&tt="+tt;
	$.ajax({
		  url: curl,
		  cache: false,
		  async:false, 
		  success:function(data)
		  {
			   if(data=="1")
			  {
				  if(window.location.href.toLowerCase().indexOf(".26.ca")!=-1)
				  {
						WebLoginCheck($("#usertel").val(),$("#AntRegUserPwd").val(),"","");
						setTimeout('RegisterOverState()',1000)
				  }
				  else
				  {
					  //注册成功
					  if(url.indexOf("javascript")!=-1)
					  {
						 history.back();
					  }
					  else
					  {
						 window.location.href=url;  
					  }
				  }
			  }
			  else if(data=="2")
			  {
					window.location.href="registerwait.aspx?str1="+escape($("#usertel").val());
			  }
			  else
			  {
				  if(data.indexOf("2,")!=-1)
				  {
					  data=data.replace("2,","");
					  window.location.href="registeremail.aspx?str1="+escape($("#AntRegUserEmail").val())+"&str2="+data+"&str3="+escape($("#usertel").val());
				  }
				  else
				  {
					 $(".none").html(data).show();
					 $("#AntRegSubmit").attr("disabled",false);
				  }
			  }
			
		  }
	});	
	return false;
}
$(function() {
	$("#AntRegUserPwd_").blur(function(){
		checkpassword_();
	});
	$("#AntRegUserPwd").blur(function(){
		checkpassword();
	});
	$("#checkcode").blur(function(){
		checkcode("");
	});
	$("#checkcode2").blur(function(){
		checkcode("2");
	});
	$("#AntRegQuestion").blur(function(){
		checkq();
	});
	$("#AntRegUserEmail").blur(function(){
		checkemail();
	});
	$("#AntRegUserMobile").blur(function(){
		checkmobile();
	});
	$("#AntRegUserMobilecode").blur(function(){
		checkmobilecode();
	});
    $("#usertel").blur(function(){
		checkname();
	});
	$("#getmobile").click(function(){
		if(checkmobile())
		{
			getImg();
			$(".tg").show();
            $(".mask").show();	
			$("#vcode").focus();
			$("#vcode").val("");	   
		}
	});
	$("span.clo").click(function(){
		 $(".tg").hide();
         $(".mask").hide();
	})
	$("#register_form").submit(function()
	{
		total=0;
		var checklength=5;
		flag=checkname();
		if(!flag)return false;
		flag=checkpassword();
		if(!flag)return false
		flag=checkpassword_();
		if(!flag)return false
		var tt = "0";
		var cc=$("input[name='typeid']:checked").val();
		if($("#SiteIsRegisterType").val().indexOf("0") != -1  && $("#SiteIsRegister").val()=="1")
		{
			tt="0";
		}
		else if($("#SiteIsRegisterType").val().indexOf("1") != -1  && $("#SiteIsRegister").val()=="1")
		{
			tt="1";
		}
		else if($("#SiteIsRegisterType").val().indexOf("2") != -1  && $("#SiteIsRegister").val()=="1")
		{
			tt="2";
		}
		if(cc=="0")
		{
			tt="0";	
		}
		else if(cc=="1")
		{
			tt="1";	
		}
		else if(cc=="2")
		{
			tt="2";	
		}
		if( tt == "0" )
		{
			flag=checkemail();
			if(!flag)return false
			flag=checkcode("");
			if(!flag)return false
			if($("#AntRegQuestion").length>0)
			{
				checklength++;
				if(!checkq())return false
			}
		}
		else if( tt =="1" )
		{
			flag=checkmobile();
			if(!flag)return false
			flag=checkmobilecode();
			if(!flag)return false
		}
		else if( tt =="2" )
		{
			flag=checkmobile();
			if(!flag)return false
			flag=checkcode("2");
			if(!flag)return false
		}
		if(total==checklength)
		{
			login();
		}
		return false;
	});

})
